WordPressはPHP5.4ではエラー警告が多発する?!

PHP5.4は癖があるのかもしれない。

設定によっては、警告が半端無くログに出力される。

が、設定を変えることでログ、ページ画面への出力を制限することができますが

クラスへの参照渡しだけはエラーのままで、プログラムが動作しなくなる。。。

過去に動作していたプログラムがPHP5.4では数か所修正しないと

動作しないって・・・PHPの互換性が問題視される原因の一つかもしれない?!